<template>
	<view>
		<view class="pageview">
			<view class="padding-xl"></view>
			<view class="cu-list menu sm-border card-menu">
				<view class="cu-item">
					<view class="content padding-tb">
						<text class="cuIcon-peoplefill text-grey"></text>
						<text class="text-grey">姓名</text>
					</view>
					<view class="action">
						<text class="text-grey text-lg">{{broker.title}}</text>
					</view>
				</view>
				<view class="cu-item">
					<view class="content padding-tb">
						<text class="cuIcon-mobilefill text-grey"></text>
						<text class="text-grey">手机号码</text>
					</view>
					<view class="action" @tap="makePhone()">
						<text class="text-grey text-lg">{{broker.mobile}}</text>
					</view>
				</view>
				<view class="cu-item">
					<view class="content padding-tb">
						<text class="cuIcon-weixin text-grey"></text>
						<text class="text-grey">微信号</text>
					</view>
					<view class="action">
						<text class="text-grey text-lg">{{broker.weixin}}</text>
					</view>
				</view>
				<view class="cu-item">
					<view class="content padding-tb">
						<text class="cuIcon-markfill text-grey"></text>
						<text class="text-grey">QQ号</text>
					</view>
					<view class="action">
						<text class="text-grey text-lg">{{broker.qq}}</text>
					</view>
				</view>
				
			</view>
		</view>
	</view>
</template>

<script>
	var _this;
	export default {
		data() {
			return {
				userinfo: false,
				agent: null,
				broker: null
			}
		},
		onLoad: function() {
			_this = this;
			_this.userinfo = _this.checkLogin("/pages/my/mybroker");
			if (_this.userinfo===false){
				return false;
			}
			_this.$req.ajax({
				path: "my/getmybroker",
				data: {
					userid: _this.userinfo.id
				}
			}).then((data) => {
				_this.agent = data.agent;
				_this.broker = data.broker;
			}).catch((err) => {
				uni.showModal({
					title: '信息提示',
					content: err,
					showCancel: false
				});
			});
		},
		methods: {
			makePhone: function() {
				uni.makePhoneCall({
					phoneNumber: _this.broker.mobile
				});
			}
		}		
	}
</script>

<style>
	.pageview {
		min-height: calc(100vh);
	}
</style>
